Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156356 (rhel4-multipath) - Crash when doing RAID on multipathed devices
Summary: Crash when doing RAID on multipathed devices
Keywords:
Status: CLOSED NEXTRELEASE
Alias: rhel4-multipath
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 176344
TreeView+ depends on / blocked
 
Reported: 2005-04-29 10:39 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-30 20:26:31 UTC


Attachments (Terms of Use)
test-ks.cfg (deleted)
2005-04-29 10:39 UTC, Bastien Nocera
no flags Details

Description Bastien Nocera 2005-04-29 10:39:53 UTC
Traceback (most recent call last):
 File "/usr/bin/anaconda", line 1173, in ?
   intf.run(id, dispatch, configFileData)
 File "/usr/lib/anaconda/text.py", line 510, in run
   dispatch.gotoNext()
 File "/usr/lib/anaconda/dispatch.py", line 171, in gotoNext
   self.moveStep()
 File "/usr/lib/anaconda/dispatch.py", line 239, in moveStep
   rc = apply(func, self.bindArgs(args))
 File "/usr/lib/anaconda/packages.py", line 561, in turnOnFilesystems
   thefsset.makeFilesystems (instPath)
 File "/usr/lib/anaconda/fsset.py", line 1461, in makeFilesystems
   self.labelEntry(entry, chroot)
 File "/usr/lib/anaconda/fsset.py", line 1370, in labelEntry
   entry.fsystem.labelDevice(entry, chroot)
 File "/usr/lib/anaconda/fsset.py", line 517, in labelDevice
   label = labelFactory.createLabel(entry.mountpoint, self.maxLabelChars)
 File "/usr/lib/anaconda/fsset.py", line 111, in createLabel
   diskset.startAllRaid()
 File "/usr/lib/anaconda/partedUtils.py", line 542, in startAllRaid
   DiskSet.mdList.extend(raid.startAllRaid(driveList))
 File "/usr/lib/anaconda/raid.py", line 106, in startAllRaid
   mdList = scanForRaid(driveList)
 File "/usr/lib/anaconda/raid.py", line 56, in scanForRaid
   (major, minor, raidSet, level, nrDisks, totalDisks, mdMinor) =\
 File "/usr/lib/anaconda/isys.py", line 97, in raidsb
   return raidsbFromDevice("/tmp/md")
 File "/usr/lib/anaconda/isys.py", line 100, in raidsbFromDevice
   fd = os.open(device, os.O_RDONLY)
OSError: [Errno 6] No such device or address: '/tmp/md'

Kickstart for the file attached.
There are 2 multipathed devices: sda/sdc and sdb/sdd
The second paths devices aren't being used at all in the config file (sdc and
sdd are untouched).

Comment 1 Bastien Nocera 2005-04-29 10:39:53 UTC
Created attachment 113827 [details]
test-ks.cfg

Comment 2 Jeremy Katz 2005-04-29 14:40:41 UTC
Can you provide the full traceback?  The kernel messages that get included there
are likely to help a bit.

Comment 4 Bastien Nocera 2005-04-29 14:54:14 UTC
From the install logs:
* formatting /boot as ext3
* formatting /boot2 as ext3
* going to run: ['/usr/sbin/mdadm', '--create', '/dev/md1', '--run',
'--chunk=256', '--level=1', '--raid-devices=2', '/dev/sda2', '/dev/sdb2']
* error reading swap label on /dev/vg00: [Errno 21] Is a directory
* error reading xfs label on /dev/vg00: [Errno 21] Is a directory
* error reading jfs label on /dev/vg00: [Errno 21] Is a directory

Comment 32 Peter Jones 2006-04-05 17:30:55 UTC
NAK.  This is a feature request.

Comment 37 Susan Denham 2006-04-12 21:24:49 UTC
This request has deferred until we have implemented mirroring support and can
reproduce this bug.   It will be added to the list of RHEL 4.5 requests.

Comment 45 RHEL Product and Program Management 2006-08-21 17:20:36 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 

Comment 51 RHEL Product and Program Management 2007-03-10 01:16:05 UTC
This bugzilla had previously been approved for engineering
consideration but Red Hat Product Management is currently reevaluating
this issue for inclusion in RHEL4.6.

Comment 52 RHEL Product and Program Management 2007-05-09 11:21:35 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 53 Red Hat Bugzilla 2007-06-12 02:50:52 UTC
requested by Jams Antill


Note You need to log in before you can comment on or make changes to this bug.